// 针对错误的地址的妥协方案
// https://aimooc.bozedu.net/mobile/#/home/caiji?token=ed1b4nIOoqi5K4K8l83Dau0Ju71JtiZT8N3Tk7LBgxl6v_aPip7eBdzC0BrOVCPw2Y8rWhjBx3gEkakGcFoBKFWZgJaY
// 这种地址query参数是在#后面的，所以需要通过字符串截取的方式获取参数，而不是通过window.location.search
function getUrlParams(url) {
  // 通过 ? 分割获取后面的参数字符串
  const urlStr = decodeURIComponent(url).split('?')[1]
  if (urlStr != undefined) {
    // 创建空对象存储参数
    const obj = {}
    // 再通过 & 将每一个参数单独分割出来
    const paramsArr = urlStr.split('&')
    for (let i = 0, len = paramsArr.length; i < len; i++) {
      // 再通过 = 将每一个参数分割为 key:value 的形式
      const arr = paramsArr[i].split('=')
      obj[arr[0]] = arr[1]
    }
    return obj
  }
  else {
    return {}
  }
}

export const urlParams = getUrlParams(window.location.href)